C3DOrientationAndPosition Class Reference

This class represents the oriantation and position of a 3D data set. More...

`#include <mia/3d/orientation.hh>`

## Public Member Functions

| C3DOrientationAndPosition ()
| C3DOrientationAndPosition (E3DImageOrientation axis)
| C3DOrientationAndPosition (E3DImageOrientation axis, const C3DFVector &origin, const C3DFVector &scale, const Quaternion &rot)
E3DImageOrientation | get_axis_orientation () const
void | get_inverse_transform_parameters (CDoubleVector &params) const
const mia::C3DFVector & | get_origin () const
const mia::Quaternion & | get_rotation () const
const mia::C3DFVector & | get_scale () const
void | get_transform_parameters (CDoubleVector &params) const
C3DOrientationAndPosition & | operator+= (const C3DOrientationAndPosition &other)
bool | operator< (const C3DOrientationAndPosition &other) const
bool | operator== (const C3DOrientationAndPosition &other) const
void | print (std::ostream &os) const

## Detailed Description

This class represents the oriantation and position of a 3D data set.

This class represents the oriantation and position of a 3D data set, by using the following parameters:

- the location of the first data pixel (corresponds to DICOM tag (00020,00032)
- the rotation about this point (corresponds to DICOM tag (00020,00037)
- the axis ordering (axial, saggital, coronal)
- the flipping of the data

Definition at line 87 of file orientation.hh.

## Constructor & Destructor Documentation

## C3DOrientationAndPosition() [1/3]

C3DOrientationAndPosition::C3DOrientationAndPosition | ( |  | ) |

Referenced by operator+=(), operator<(), and operator==().

## C3DOrientationAndPosition() [2/3]

C3DOrientationAndPosition::C3DOrientationAndPosition | ( | E3DImageOrientation | axis | ) |

explicit

## C3DOrientationAndPosition() [3/3]

C3DOrientationAndPosition::C3DOrientationAndPosition | ( | E3DImageOrientation | axis,
|  | const C3DFVector & | origin,
|  | const C3DFVector & | scale,
|  | const Quaternion & | rot )

## Member Function Documentation

## get_axis_orientation()

E3DImageOrientation C3DOrientationAndPosition::get_axis_orientation | ( |  | ) | const

## get_inverse_transform_parameters()

void C3DOrientationAndPosition::get_inverse_transform_parameters | ( | CDoubleVector & | params | ) | const

## get_origin()

const mia::C3DFVector & C3DOrientationAndPosition::get_origin | ( |  | ) | const

Returns
  the origin in physical coordinates

## get_rotation()

const mia::Quaternion & C3DOrientationAndPosition::get_rotation | ( |  | ) | const

Returns
  the rotation of the object

## get_scale()

const mia::C3DFVector & C3DOrientationAndPosition::get_scale | ( |  | ) | const

Returns
  the voxel scale

## get_transform_parameters()

void C3DOrientationAndPosition::get_transform_parameters | ( | CDoubleVector & | params | ) | const

## operator+=()

C3DOrientationAndPosition & C3DOrientationAndPosition::operator+= | ( | const C3DOrientationAndPosition & | other | ) |

References C3DOrientationAndPosition().

## operator<()

bool C3DOrientationAndPosition::operator< | ( | const C3DOrientationAndPosition & | other | ) | const

References C3DOrientationAndPosition().

## operator==()

bool C3DOrientationAndPosition::operator== | ( | const C3DOrientationAndPosition & | other | ) | const

References C3DOrientationAndPosition().

## print()

void C3DOrientationAndPosition::print | ( | std::ostream & | os | ) | const

Referenced by operator<<().

The documentation for this class was generated from the following file:

- orientation.hh